{% sw_extends '@Storefront/storefront/layout/header/header.html.twig' %}

{% block layout_top_bar %}
{% endblock %}

{% block layout_header_navigation %}
    <div class="row align-items-start header-row">
        {% block layout_header_logo %}
            {{ parent() }}
        {% endblock %}

        {% block layout_header_search %}
            <div class="col-12 order-2 col-sm col-lg-auto order-sm-1 header-search-col">
                {% block base_navigation %}
                    <div class="nav-main">
                        {% block base_navigation_inner %}
                            {% sw_include '@Storefront/storefront/layout/navigation/navigation.html.twig' %}
                        {% endblock %}
                    </div>
                {% endblock %}
        
                <div class="row align-items-center">
                    <div class="col-sm-auto d-none d-sm-block d-lg-none">
                        {% block layout_header_navigation_toggle_tablet %}
                            {{ parent() }}
                        {% endblock %}
                    </div>
                    <div class="col">
                        {% sw_include '@Storefront/storefront/layout/header/search.html.twig' %}
                    </div>
                </div>
            </div>
        {% endblock %}

        {% block layout_header_actions %}
            <div class="col-12 order-1 col-sm-auto order-sm-2 header-actions-col">
                <div class="row no-gutters">
                    {% block layout_header_navigation_toggle %}
                        {{ parent() }}
                    {% endblock %}

                    {% block layout_header_search_toggle %}
                        <div class="col-auto d-sm-none d-lg-block">
                            <div class="search-toggle">
                                <button class="btn header-actions-btn search-toggle-btn js-search-toggle-btn collapsed"
                                        type="button"
                                        data-toggle="collapse"
                                        data-target="#searchCollapse"
                                        aria-expanded="false"
                                        aria-controls="searchCollapse"
                                        aria-label="{{ "header.searchButton"|trans|striptags }}">
                                    {% sw_icon 'search' style { 'pack': 'ds' } %}
                                </button>
                            </div>
                        </div>
                    {% endblock %}

                    {% if config('core.cart.wishlistEnabled') %}
                        {% block layout_header_actions_wishlist %}
                            {{ parent() }}
                        {% endblock %}
                    {% endif %}

                    {% block layout_header_actions_account %}
                        {{ parent() }}
                    {% endblock %}

                    {% block layout_header_actions_cart %}
                        {{ parent() }}
                    {% endblock %}
                </div>
            </div>
        {% endblock %}
    </div>
{% endblock %}
